<template>
  <div class="app-container">
    <xy-table :table="table" :columns="columns" />
  </div>
</template>

<script>
import { listClassify } from '@/api/coupon/classify'

export default {
  name: 'Classify',
  data() {
    return {
      table: {
        rowKey: 'id',
        data: [],
        // 表格内操作列
        operator: [
          {
            text: '编辑',
            icon: 'el-icon-edit',
            fun: (row) => this.handleEdit(row)
          },
          {
            text: '删除',
            icon: 'el-icon-delete',
            fun: (row) => this.handleDelete(row)
          }
        ],
        // 操作列样式
        operatorConfig: {
          width: 140
        },
        // 表格外操作
        toolbar: [
          {
            text: '新增分类',
            icon: 'el-icon-plus',
            type: 'primary',
            fun: () => this.handleAdd()
          }
        ],
        // 分页配置
        page: {
          total: 0,
          pageNum: 1,
          pageSize: 10
        },
        // 搜索表单配置
        searchForm: {
          formLabelWidth: '90px',
          formData: {
            param1: undefined
          },
          fieldList: [
            { prop: 'param1', label: '决策流名称', type: 'input' },
            { prop: 'param2', label: '决策流状态', type: 'input' }
          ],
          // 相关下拉列表
          listOptions: {

          }
        },
        // 请求
        request: listClassify
      },
      columns: [

      ]
    }
  },
  methods: {
    /** 查询列表 */
    getList() {
      this.$refs.tableRef.getData()
    },
    /** 新增按钮操作 */
    handleAdd() {

    },
    /** 编辑按钮操作 */
    handleEdit(row) {

    },
    /** 删除按钮操作 */
    async handleDelete(row) {
      const assetsInfoId = row.assetsInfoId
      const confirmResult = await this.$confirm(
        '是否确认删除当前记录？',
        '提示',
        {
          confirmButtonText: '确定',
          cancelButtonText: '取消',
          type: 'warning'
        }
      ).catch((err) => err)
      // 用户取消了删除的 操作
      if (confirmResult !== 'confirm') {
        // this.$message.info('已取消删除！')
        return
      }
      const res = await delAssetLibrary(assetsInfoId)
      if (res.code !== 200) {
        return this.$message.error('删除失败！')
      }
      this.$message.success('删除成功!')
      this.getList()
    }
  }
}
</script>

<style>

</style>
